import 'package:google_maps_flutter/google_maps_flutter.dart';
class MeetingMarker{
  double latitude;
  double longitude;
  String title;
  int maxPartecipants;
  int actualPartecipants;
  String startDateTime;
  String endDateTime;
  String id;
  String description;
  Marker marker;
  String organizer;
  String deadLine="2000-01-01 00:00:00";

  MeetingMarker();

  MeetingMarker.fromJson(Map<String, dynamic> json)
      : latitude = json['latitude'],
        longitude = json['longitude'],
        title = json['title'],
        maxPartecipants = json['maxPartecipants'],
        actualPartecipants = json['actualPartecipants'],
        startDateTime = json['startDateTime'],
        endDateTime = json['endDateTime'],
        id=json['id'],
        description=json['description'],
        organizer=json['organizer'],
        deadLine=json['deadLine']
  ;

  Map<String, dynamic> toJson() =>
      {
        'latitude': latitude,
        'longitude': longitude,
        'title': title,
        'maxPartecipants': maxPartecipants,
        'actualPartecipants': actualPartecipants,
        'startDateTime': startDateTime,
        'endDateTime': endDateTime,
        'id': id,
        'description':description,
        'organizer':organizer,
        'deadLine':deadLine,
      };

  @override
  String toString() {
    return this.toJson().toString();
  }
}
